Index: c/src/exec/libcsupport/include/rtems/termiostypes.h
===================================================================
--- c/src/exec/libcsupport/include/rtems/termiostypes.h	(revision 2f1b9304ac4ba89a2dcb6047cb584a5603a33987)
+++ c/src/exec/libcsupport/include/rtems/termiostypes.h	(revision f7691e3b7bce05e8f5d11c126243036cd0ba1343)
@@ -21,4 +21,12 @@
 extern "C" {
 #endif
+
+/*
+ * Wakeup callback data structure
+ */
+struct ttywakeup {
+  void      (*sw_pfn)__P((struct termios *tty, void *arg));
+  void      *sw_arg;
+};
 
 /*
@@ -112,4 +120,10 @@
         int t_line;   /* id of line discipline                       */
         void *t_sc;   /* hook for discipline-specific data structure */
+        /*
+	 * Wakeup callback variables
+	 */
+	struct ttywakeup tty_snd;
+	struct ttywakeup tty_rcv;
+	int              tty_rcvwakeup;
 };
 
Index: c/src/exec/libcsupport/include/sys/ioccom.h
===================================================================
--- c/src/exec/libcsupport/include/sys/ioccom.h	(revision 2f1b9304ac4ba89a2dcb6047cb584a5603a33987)
+++ c/src/exec/libcsupport/include/sys/ioccom.h	(revision f7691e3b7bce05e8f5d11c126243036cd0ba1343)
@@ -70,4 +70,6 @@
 #define       RTEMS_IO_SET_ATTRIBUTES 2
 #define       RTEMS_IO_TCDRAIN        3
+#define       RTEMS_IO_RCVWAKEUP      4
+#define       RTEMS_IO_SNDWAKEUP      5
 
 /* copied from libnetworking/sys/filio.h and commented out there */
Index: c/src/lib/ChangeLog
===================================================================
--- c/src/lib/ChangeLog	(revision 2f1b9304ac4ba89a2dcb6047cb584a5603a33987)
+++ c/src/lib/ChangeLog	(revision f7691e3b7bce05e8f5d11c126243036cd0ba1343)
@@ -1,2 +1,7 @@
+2001-08-16	Mike Siers <mikes@poliac.com>
+
+	* include/rtems/termiostypes.h, include/sys/ioccom.h:
+	Update of PPPD to 2.3.11 from 2.3.5 touched these files.
+
 2001-08-16	Mike Siers <mikes@poliac.com>
 
Index: c/src/lib/include/rtems/termiostypes.h
===================================================================
--- c/src/lib/include/rtems/termiostypes.h	(revision 2f1b9304ac4ba89a2dcb6047cb584a5603a33987)
+++ c/src/lib/include/rtems/termiostypes.h	(revision f7691e3b7bce05e8f5d11c126243036cd0ba1343)
@@ -21,4 +21,12 @@
 extern "C" {
 #endif
+
+/*
+ * Wakeup callback data structure
+ */
+struct ttywakeup {
+  void      (*sw_pfn)__P((struct termios *tty, void *arg));
+  void      *sw_arg;
+};
 
 /*
@@ -112,4 +120,10 @@
         int t_line;   /* id of line discipline                       */
         void *t_sc;   /* hook for discipline-specific data structure */
+        /*
+	 * Wakeup callback variables
+	 */
+	struct ttywakeup tty_snd;
+	struct ttywakeup tty_rcv;
+	int              tty_rcvwakeup;
 };
 
Index: c/src/lib/include/sys/ioccom.h
===================================================================
--- c/src/lib/include/sys/ioccom.h	(revision 2f1b9304ac4ba89a2dcb6047cb584a5603a33987)
+++ c/src/lib/include/sys/ioccom.h	(revision f7691e3b7bce05e8f5d11c126243036cd0ba1343)
@@ -70,4 +70,6 @@
 #define       RTEMS_IO_SET_ATTRIBUTES 2
 #define       RTEMS_IO_TCDRAIN        3
+#define       RTEMS_IO_RCVWAKEUP      4
+#define       RTEMS_IO_SNDWAKEUP      5
 
 /* copied from libnetworking/sys/filio.h and commented out there */
Index: cpukit/libcsupport/include/rtems/termiostypes.h
===================================================================
--- cpukit/libcsupport/include/rtems/termiostypes.h	(revision 2f1b9304ac4ba89a2dcb6047cb584a5603a33987)
+++ cpukit/libcsupport/include/rtems/termiostypes.h	(revision f7691e3b7bce05e8f5d11c126243036cd0ba1343)
@@ -21,4 +21,12 @@
 extern "C" {
 #endif
+
+/*
+ * Wakeup callback data structure
+ */
+struct ttywakeup {
+  void      (*sw_pfn)__P((struct termios *tty, void *arg));
+  void      *sw_arg;
+};
 
 /*
@@ -112,4 +120,10 @@
         int t_line;   /* id of line discipline                       */
         void *t_sc;   /* hook for discipline-specific data structure */
+        /*
+	 * Wakeup callback variables
+	 */
+	struct ttywakeup tty_snd;
+	struct ttywakeup tty_rcv;
+	int              tty_rcvwakeup;
 };
 
Index: cpukit/libcsupport/include/sys/ioccom.h
===================================================================
--- cpukit/libcsupport/include/sys/ioccom.h	(revision 2f1b9304ac4ba89a2dcb6047cb584a5603a33987)
+++ cpukit/libcsupport/include/sys/ioccom.h	(revision f7691e3b7bce05e8f5d11c126243036cd0ba1343)
@@ -70,4 +70,6 @@
 #define       RTEMS_IO_SET_ATTRIBUTES 2
 #define       RTEMS_IO_TCDRAIN        3
+#define       RTEMS_IO_RCVWAKEUP      4
+#define       RTEMS_IO_SNDWAKEUP      5
 
 /* copied from libnetworking/sys/filio.h and commented out there */
